> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# personurl

> List of urls (web pages) matching the search value, possibly restricted to a given company or person.

## "personurl" MDO List

List of urls (web pages) matching the search value, possibly restricted to a given company or person.

AdditionalInfo:
itemId= person id
extraId= contact-id

Implemented by the <see cref="T:SuperOffice.CRM.Lists.PersonUrlProvider">PersonUrlProvider</see> class.
The name of the MDO list is 'personurl'.

## Additional Attributes

| Description | Name    | Example Value |
| ----------- | ------- | ------------- |
| Person id   | itemId  | 23            |
| Company id  | extraId | 23            |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/personurl
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("personurl", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "personurlheadings"
* "personurlheadingswithallitem"
* "personurlheadingswithallitemwithnoselection"
* "personurlheadingswithnoselection"
* "personurlwithallitem"
* "personurlwithallitemwithnoselection"
* "personurlwithnoselection"


## Related topics

- [Participants](/en/api/archive-providers/reference/participants.md)
- [ParticipantsWithConflictRemoval](/en/api/archive-providers/reference/participantswithconflictremoval.md)
- [ExternalPersons](/en/api/archive-providers/reference/externalpersons.md)
- [RecyclePerson](/en/api/archive-providers/reference/recycleperson.md)
- [personfavourites](/en/api/archive-providers/reference/personfavourites.md)
- [recipientfavourites](/en/api/archive-providers/reference/recipientfavourites.md)
